[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TEventObject.SetEvent

Set the event

## Declaration

Source position: syncobjs.pp line 69

`public procedure TEventObject.SetEvent;`

## Description

SetEvent sets the event. If the ManualReset is True any thread that was waiting for the event to be set (using WaitFor) will resume it's operation. After the event was set, any thread that executes WaitFor will return at once. If ManualReset is False, only one thread will be notified that the event was set, and the event will be immediatly reset after that.

## See also

WaitFor |  | Wait for the event to be set.
ManualReset |  | Should the event be reset manually

Documentation generated on: Feb 26 2014